Skip to main content

Reset a submission upload.

Cancels an Actual SDR return, retains its history and returns a replacement token.

Wait for queued validation, running validation or submission to finish before cancellation.

Indicative returns retain the existing token-removal behaviour.

This endpoint is scoped to the authenticated EDUMIS ID.

Path Parameters
submissionToken string — REQUIRED

The submission token for the period to reset

Header Parameters
EID string — REQUIRED

Enter the EDUMIS (Organisation) ID

Responses
200

Actual SDR cancelled; replacement token and expiry returned

Schema — OPTIONAL
submissionToken string — OPTIONAL

The submission token.

tokenExpiry date-time — OPTIONAL

The date and time that this token will expire

maxRecordPerBatch int32 — OPTIONAL

The maximum number of records per batch that can be send in a single request.

The record count is the sum of the number of records in the content submission ie courses, learners, course enrolments, course completions, qualification completions

returnId int64 — OPTIONAL

Thereturn ID that this submission is associated to.

edumis int32 — OPTIONAL

The EDUMIS number of the organisation that the submission is being made for.

returnYear int32 — OPTIONAL

The year that the submission is being made in the format CCYY.

returnMonth int32 — OPTIONAL

The month that the submission is being made.

submissionStatus string — OPTIONAL

The status of the submission. Pending - The submission is still in progress. Validating - The submission is currently undergoing validation. Validated - The submission has been validated. Submitted - The submission has passed validation and has been submitted for TEC validation. Cancelled - The submission has been cancelled. Closed - The submission has been closed.

submissionType string — OPTIONAL

The return type. Full - Full SDR return. Indicative - Indicative SDR return.

submissionContentsUrl string — OPTIONAL

A URL for retrieving submission contents in CSV format.

validationRunResults object[] — OPTIONAL

Validation results for each attempted run.

submissionToken string — OPTIONAL

The submission token

dateReceived date-time — OPTIONAL

The date that the validation request was received.

dateStarted date-time — OPTIONAL

The date that the validation run was started.

dateCompleted date-time — OPTIONAL

The date that the validation run was completed.

status string — OPTIONAL

Possible values: [Accumulate, RollBack, Cancelled, FailedToTransfer, Halted, InProgress, Processed, Queued, Rejected, Submitted, ContactSupport, SubmitError]

The status of the current submission for this return.

errorCount int32 — OPTIONAL

The number of errors that occurred

warningCount int32 — OPTIONAL

The number of warnings that occured

204

Indicative submission cancelled

400

Submission Token not found or accessible - check error code for more detail

Schema — OPTIONAL
type string — OPTIONAL
title string — OPTIONAL
status int32 — OPTIONAL
detail string — OPTIONAL
instance string — OPTIONAL
errors object — OPTIONAL
returnId string — OPTIONAL
submissionToken string — OPTIONAL
content object — OPTIONAL
errorCode string — OPTIONAL
401

Authorization failed

Schema — OPTIONAL
type string — OPTIONAL
title string — OPTIONAL
status int32 — OPTIONAL
detail string — OPTIONAL
instance string — OPTIONAL
409

The return is processing or has already been cancelled

Schema — OPTIONAL
type string — OPTIONAL
title string — OPTIONAL
status int32 — OPTIONAL
detail string — OPTIONAL
instance string — OPTIONAL
errors object — OPTIONAL
returnId string — OPTIONAL
submissionToken string — OPTIONAL
content object — OPTIONAL
errorCode string — OPTIONAL
429

Concurrent token request, upload, validation or submission request not allowed

Schema — OPTIONAL
type string — OPTIONAL
title string — OPTIONAL
status int32 — OPTIONAL
detail string — OPTIONAL
instance string — OPTIONAL